Bug 459148 - Review Request: txt2rss - Convert from txt to rss
Review Request: txt2rss - Convert from txt to rss
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 14:19 EDT by Rakesh Pandit
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 03:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-08-14 14:19:43 EDT
Description:
txt2rss is a shell script that parses a simple txt file (in a simple
format) and convert it to RSS feed file. Simple to use and intuitive,
you need to set up a config file with parameter like webmaster's name,
link of the site and others, after you just call the script with
options like <input file> and a <output file>.

SPEC: http://rakesh.fedorapeople.org/spec/txt2rss.spec
SRPM: http://rakesh.fedorapeople.org/srpm/txt2rss-0.1-1.fc9.src.rpm
Comment 1 Jason Tibbitts 2008-08-15 18:40:09 EDT
There is absolutely no mention of anything license-related in the source code.  All we have is the upstream web site, but it's been long enough since this has come up that I don't recall if that's sufficient.

While I ask the right people, could you ask upstream to at least mention "GPLv3" somewhere in their code, and if possible to actually follow the suggestions in the GPL and put a copy of it in the tarball/zip and the proper license block in the code?
Comment 2 Rakesh Pandit 2008-08-16 00:57:41 EDT
http://code.google.com/p/txt2rss/issues/detail?id=2
Informed upstream. Waiting for response.


http://code.google.com/p/txt2rss/issues/detail?id=1
I have confirmed about version here.
Comment 3 Rakesh Pandit 2008-08-26 21:51:14 EDT
Confirmed upstream, that it is GPLv3. A license block will shortly be on scripts.
Comment 5 Rahul Sundaram 2008-09-02 09:31:33 EDT
I haven't done a scratch build but otherwise looks sane. The only problem I see is the lack of the license text within the package. You MUST include a copy of the license. This is recommended by the guidelines and mandated by the GPL license

Also as a recommendation, we need a man page.
Comment 6 Rakesh Pandit 2008-09-02 11:54:16 EDT
Thanks,
I have reported upstream that they should include license file in there source.
http://code.google.com/p/txt2rss/issues/detail?id=4 Upstream has confirmed that it will be included ASAP.

I do not consider these issues as blockers but rather in a SHOULD list.

between I have added a man page and submitted it upstream as well.
SPEC: http://rakesh.fedorapeople.org/spec/txt2rss.spec
SRPM: http://rakesh.fedorapeople.org/srpm/txt2rss-0.1-3.fc9.src.rpm
Comment 7 Rahul Sundaram 2008-09-05 10:44:37 EDT
APPROVED
Comment 8 Rakesh Pandit 2008-09-05 10:48:57 EDT
New Package CVS Request
=======================
Package Name: txt2rss
Short Description: Convert from txt to rss
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-09-05 12:38:56 EDT
cvs done.
Comment 10 Fedora Update System 2008-09-06 03:43:38 EDT
txt2rss-0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/txt2rss-0.1-3.fc9
Comment 11 Fedora Update System 2008-09-06 03:45:07 EDT
txt2rss-0.1-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/txt2rss-0.1-3.fc8
Comment 12 Fedora Update System 2008-10-01 02:33:29 EDT
txt2rss-0.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-10-01 02:39:28 EDT
txt2rss-0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.